Installer: Clean up the Registry more thoroughly on uninstall
[msysgit.git] / src / libgsasl / release.sh
blobe8ec48b7c69a7956d46daf9a81fc830ef7288fca
1 #!/bin/sh
3 cd "$(dirname "$0")"
5 VERSION=1.2
6 DIR=libgsasl-$VERSION
7 URL=http://mirrors.kernel.org/gnu/gsasl/$DIR.tar.gz
8 FILE=${URL##*/}
10 die () {
11 echo "$*" >&2
12 exit 1
15 test -d $DIR || {
16 test -f $FILE ||
17 curl -O $URL ||
18 die "Could not download $FILE"
20 tar xzvf $FILE && (
21 cd $DIR &&
22 git init &&
23 git add . &&
24 git commit -m "Import of $FILE"
26 } || die "Could not check out $FILE"
28 (cd $DIR &&
29 ./configure --prefix=/mingw &&
30 make &&
31 index=$(/share/msysGit/pre-install.sh) &&
32 make install &&
33 /share/msysGit/post-install.sh $index "Install $FILE"
34 ) || die "Could not install $FILE"